# Load libraries
from machine import Pin
import ADS1115
import utime

# Initialization of the ADC
ADS1115.init(0x48, 1, 4, False)
# Initialization of GPIO28 as input
SW = Pin(28,Pin.IN, Pin.PULL_UP)

# Endless loop for reading the ADC and switch
while True:
    xAxis = ADS1115.read(0)
    utime.sleep_ms(20)
    yAxis = ADS1115.read(1)
    switch = SW.value()

    # Serial output of the analog values
    print("X-axis: " + str(xAxis) + ", Y-axis: " + str(yAxis) + ", Switch " + str(switch))
    if switch == 0:
        print("Button is pressed.")
    print(" ")
    utime.sleep_ms(500)